%global fontname moyogo-molengo
%global fontconf 62-%{fontname}.conf

Name:           %{fontname}-fonts
Version:        0.10 
Release:        2%{?dist}
Summary:        A Latin typeface for documents 

Group:          User Interface/X
License:        OFL
URL:            http://code.google.com/p/molengo-fonts/
Source0:        http://molengo-fonts.googlecode.com/files/Molengo-fonts.7z
Source1:        %{name}-fontconfig.conf

BuildArch:      noarch
BuildRequires:  fontpackages-devel
BuildRequires:  p7zip
Requires:       fontpackages-filesystem
Obsoletes:      moyogo-fonts < 0.10-2


%description
Molengo is a Latin typeface for documents. It is multilingual and has some
features required by many minority languages such as non-spacing mark placement.
The font is produced with Fontforge. 
 
%prep
7za x -y %{SOURCE0}
cp -p Molengo-fonts/* .

for file in OFL-FAQ.txt  Fontlog.txt  OpenFontLicense.txt; do
 sed "s|\r||g" $file > $file.new && \
 touch -r $file $file.new && \
 mv $file.new $file
done


%build


%install
rm -fr %{buildroot}

install -m 0755 -d %{buildroot}%{_fontdir}
install -m 0644 -p *.ttf %{buildroot}%{_fontdir}

install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} \
                   %{buildroot}%{_fontconfig_confdir}

install -m 0644 -p %{SOURCE1} \
        %{buildroot}%{_fontconfig_templatedir}/%{fontconf}
ln -s %{_fontconfig_templatedir}/%{fontconf} \
      %{buildroot}%{_fontconfig_confdir}/%{fontconf}


%clean
rm -fr %{buildroot}


%_font_pkg -f %{fontconf} *.ttf

%doc OFL-FAQ.txt  Fontlog.txt  OpenFontLicense.txt


%changelog
* Mon Jun 14 2010 Parag Nemade <pnemade AT redhat.com> - 0.10-2
- Renamed to follow fonts package naming guidelines.

* Thu May 27 2010 Parag Nemade <pnemade AT redhat.com> - 0.10-1
- Initial Fedora release.

